package cn.com.qmth.examcloud.core.oe.admin.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.commons.web.redis.RedisClient;
import cn.com.qmth.examcloud.core.oe.admin.api.ExamRecordCloudService;
import cn.com.qmth.examcloud.core.oe.admin.api.request.ExamRecordReq;
import cn.com.qmth.examcloud.core.oe.admin.api.response.ExamRecordResp;


@Service("examRecordCloudService")
public class ExamRecordCloudServiceClient extends AdminCloudClientSupport implements ExamRecordCloudService {

	@Autowired
    private RestTemplate restTemplate;
	
    @Autowired
    private RedisClient redisClient;
	
	@Override
	public ExamRecordResp checkExamIsStarted(ExamRecordReq examRecordReq) {
		return post("",examRecordReq,ExamRecordResp.class);
	}

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	protected RedisClient getRedisClient() {
		return redisClient;
	}

}
